osso-xterm (0.14.mh12) unstable; urgency=low

  * Added actionhandler to edit-menu-item. That checks is there something to
    paste. Fixes: NB#81616
  * Added idle_add to set windows menu->view->fullscreen to enabled/disabled.
    Fixes: NB#81443, NB#82856
  * Removed utf-16 from list of available encodings. Fixes: NB#82863

 -- Joni Valtanen <jvaltane@kapsi.fi>  Wed, 02 Apr 2008 14:15:12 +0300

osso-xterm (0.14.mh11) unstable; urgency=low

  * Fixed stupid focus problem. Fixes: NB#82832, NB#82837, NB#82839

 -- Joni Valtanen <jvaltane@kapsi.fi>  Wed, 19 Mar 2008 17:46:20 +0300

osso-xterm (0.14.mh10) unstable; urgency=low

  * Changed font size to 16. Schemas is updated also. Really Fixes: NB#81303

 -- Joni Valtanen <jvaltane@kapsi.fi>  Tue, 18 Mar 2008 13:56:15 +0300

osso-xterm (0.14.mh9) unstable; urgency=low

  * Added lazy fullscreen-system. Now really should fix following bug. Fixes: NB#81620

 -- Joni Valtanen <jvaltane@kapsi.fi>  Mon, 17 Mar 2008 14:04:24 +0300

osso-xterm (0.14.mh8) unstable; urgency=low

  * Fixed problem with font size field in settings. Fixes: NB#81303
  * Fixed focus problem with fullscreen. Fixes: NB#81620
  * Fixed encoding settings problem. Fixes: NB#81609

 -- Joni Valtanen <jvaltane@kapsi.fi>  Mon, 10 Mar 2008 17:34:12 +0300

osso-xterm (0.14.mh6) unstable; urgency=low

  * Added to the terminal-widgets finalize vte-terminal unref. Now releases also
    ptys.
  * Hope im_context selection is fixed.
  * Fixed some encoding dialog problems.
  * Replaced debian/control.s ${shlibs:Depends} with static strings to avoid
    problems.

 -- Joni Valtanen <jvaltane@kapsi.fi>  Wed, 27 Feb 2008 12:40:02 +0300

osso-xterm (0.14.mh5) unstable; urgency=low

  * Added some im-context focus and show. Fixes: NB#75405
  * Added characterset switching to menu and settings. Fixes: NB#78874

 -- Joni Valtanen <jvaltane@kapsi.fi>  Tue, 26 Feb 2008 09:05:41 +0300

osso-xterm (0.14.mh4) unstable; urgency=low

  * Changed logical strings and domains in settings. Fixes: NB#80071
  * Destroy terminal-widget in right place. Fixes: NB#76335, NB#76337, NB#76399
  * Modified debian/rules. Fixes: NB#76959
  * Fixed toolbar problems. Fixes: NB#76420, NB#80083
  * Changed ctrl-button behaviour as it was in original. Fixes: NB#79688

 -- Joni Valtanen <jvaltane@kapsi.fi>  Wed, 20 Feb 2008 13:00:03 +0300

osso-xterm (0.14.mh3) unstable; urgency=low

  * Fixed one Glib critical when closing window. Fixes: NB#74616

 -- Joni Valtanen <jvaltane@kapsi.fi>  Thu, 01 Oct 2007 14:41:14 +0300

osso-xterm (0.14.mh2) unstable; urgency=low

  * Fixed settings dialog behavior. Fixes: NB#71743, NB#71348, NB#72986
  * Fixed CTRL-dialog. Fixes: NB#71755
  * Added app listen terminal_widget destroy signal. Fixes: NB#71752, NB#71357
  * Fixed font dialog to be transient to settings. Fixes: NB#70986
  * Dropped CMS away. Fixes: NB#71006
  * Removed separators from dialogs
  * Intended terminal-settings and terminal-widget with 2 spaces
  * Fixed previous logs wrong weekday

 -- Joni Valtanen <jvaltane@kapsi.fi>  Wed, 31 Oct 2007 13:09:53 +0300

osso-xterm (0.14.mh1.1) unstable; urgency=low

  * Added tablet-browser-interface dependency 
  * Fixed fullscreen and normalscreen toolbar menu. Fixes: NB#70969
  * Application menu of x-term displayed on TN. Fixes: NB#71039

 -- Joni Valtanen <jvaltane@kapsi.fi>  Tue, 30 Oct 2007 18:08:35 +0300

osso-xterm (0.14.mh1) unstable; urgency=low

  * Fixed ctrl to work. Fixes: NB#71346, NB#70972
  * Fixed localisations.
  * Fixed settings dialog Fixes: NB#71347
  * Fixed HildonFontChooser color selection. Fixes: NB#70993
  * Fixed schemas unnessesary spaces

 -- Joni Valtanen <jvaltane@kapsi.fi>  Fri, 26 Sep 2007 21:02:56 +0300

osso-xterm (0.14.1) unstable; urgency=low

  * Modified context sensitive menu. Fixes: NB#70961, NB#71003
  * Fixed localisation. Fixes: NB#70978, NB#70980, NB#71000
  * Fixed settings dialog. Fixes: NB#70982, NB#71012, NB#71029, NB#71007
  * Fixed HildonFontChooser color selection. Fixes: NB#70993
  * Fixed schemas unnessesary spacesi Fixes: NB#71009

 -- Joni Valtanen <jvaltane@kapsi.fi>  Fri, 26 Sep 2007 21:02:56 +0300

osso-xterm (0.14) unstable; urgency=low

  * Added autogen.sh
  * Added autogen.sh to debian/rules
  * Replaced tabs with windows
  * Modified menus
  * Replaced GtkFontSelector with HildonFontSelector
  * Added Maemo localisation from osso-browser-ui domain
  * Modified tooldar. Place and default buttons.
  * Moved shortcut-settinsgs to settings

 -- Joni Valtanen <jvaltane@kapsi.fi>  Fri, 21 Sep 2007 16:48:01 +0300

osso-xterm (0.13.mh25) unstable; urgency=low

  * Fixed the VTE widget's focus handlers not being invoked, causing
    an iconsistent IM context state.

 -- Tomas Junnonen <tomas.junnonen@nokia.com>  Wed, 12 Sep 2007 14:49:00 +0300

osso-xterm (0.13.mh24) unstable; urgency=low

  * Configurable scrollback size.

 -- Santtu Lakkala <inz@inz.fi>  Thu, 12 Apr 2007 12:55:30 +0300

osso-xterm (0.13.mh23) unstable; urgency=low

  * Make xterm shells login shells. Thanks to mgedmin. Fixes: #34
  * Allow -e as first argument.

 -- Santtu Lakkala <inz@inz.fi>  Wed, 11 Apr 2007 13:28:49 +0300

osso-xterm (0.13.mh22) unstable; urgency=low

  * Allow building with maemo-browser-interface.

 -- Santtu Lakkala <inz@inz.fi>  Tue,  6 Mar 2007 14:58:36 +0200

osso-xterm (0.13.mh21) unstable; urgency=low

  * Tooltips don't really fit maemo platform, remove them.

 -- Santtu Lakkala <inz@inz.fi>  Thu,  1 Mar 2007 13:02:13 +0200

osso-xterm (0.13.mh20) unstable; urgency=low

  * Allow building with libhildon1.

 -- Santtu Lakkala <inz@inz.fi>  Tue, 13 Feb 2007 15:44:12 +0200

osso-xterm (0.13.mh19) unstable; urgency=low

  * Always get key name lists with gconf_client_get_list. Fixes: #30.

 -- Santtu Lakkala <inz@inz.fi>  Thu, 25 Jan 2007 13:07:45 +0200

osso-xterm (0.13.mh18) unstable; urgency=low

  * Create shortcut changing dialog.

 -- Santtu Lakkala <inz@inz.fi>  Wed, 24 Jan 2007 18:54:51 +0200

osso-xterm (0.13.mh17) unstable; urgency=low

  * Fix control button label.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 22 Jan 2007 21:24:51 +0200

osso-xterm (0.13.mh16) unstable; urgency=low

  * Make toolbar shortcuts configurable.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 22 Jan 2007 17:28:15 +0200

osso-xterm (0.13.mh15) unstable; urgency=low

  * Preliminary support for commands from command line.

 -- Santtu Lakkala <inz@inz.fi>  Sun, 21 Jan 2007 16:02:30 +0200

osso-xterm (0.13.mh14) unstable; urgency=low

  * Add toolbar.

 -- Santtu Lakkala <inz@inz.fi>  Sun, 21 Jan 2007 11:40:07 +0200

osso-xterm (0.13.mh13) unstable; urgency=low

  * Build with launcher.
  * Set working directory to home.

 -- Santtu Lakkala <inz@inz.fi>  Wed,  2 Aug 2006 10:51:06 +0300

osso-xterm (0.13.mh12) unstable; urgency=low

  * Fix Ticket #24: Quit on destroy, not delete-event.

 -- Santtu Lakkala <inz@inz.fi>  Tue,  1 Aug 2006 12:55:47 +0300

osso-xterm (0.13.mh11) unstable; urgency=low

  * Change to hildon program / window.
  * Change window / tab titles when terminal title changes.

 -- Santtu Lakkala <inz@inz.fi>  Thu, 27 Jul 2006 11:21:05 +0300

osso-xterm (0.13.mh10) unstable; urgency=low

  * Include icon in debian/control.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 24 Jul 2006 15:42:16 +0300

osso-xterm (0.13.mh9) unstable; urgency=low

  * Build against new libvte to get the copy/paste funcionality in.

 -- Santtu Lakkala <inz@inz.fi>  Fri, 21 Jul 2006 16:31:12 +0300

osso-xterm (0.13.mh8) unstable; urgency=low

  * Ticket #5: Build against new libvte.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 26 Jun 2006 11:07:04 +0300

osso-xterm (0.13.mh7) unstable; urgency=low

  * Really change to Bitstream Vera Sans.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 26 Jun 2006 09:59:22 +0300

osso-xterm (0.13.mh6) unstable; urgency=low

  * Use bitstream vera sans mono instead of newcourier.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 26 Jun 2006 09:52:17 +0300

osso-xterm (0.13.mh5) unstable; urgency=low

  * Really build against newer libvte.

 -- Santtu Lakkala <inz@inz.fi>  Thu, 22 Jun 2006 13:44:20 +0300

osso-xterm (0.13.mh4) unstable; urgency=low

  * Ignore home key.
  * Ticket #6: Build against new libvte.

 -- Santtu Lakkala <inz@inz.fi>  Thu, 22 Jun 2006 13:07:56 +0300

osso-xterm (0.13.mh3) unstable; urgency=low

  * Fix popping vkb when trying to open URL.
  * Change from stock icons to plain ones in settings dialog.
  * Build agains newer libvte.

 -- Santtu Lakkala <inz@inz.fi>  Thu, 15 Jun 2006 14:37:32 +0300

osso-xterm (0.13.mh2) unstable; urgency=low

  * Add support for opening urls.

 -- Santtu Lakkala <inz@inz.fi>  Tue, 13 Jun 2006 10:25:51 +0300

osso-xterm (0.13.mh1) unstable; urgency=low

  * Add color/font selection support.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 12 Jun 2006 12:08:49 +0300

osso-xterm (0.13) unstable; urgency=low

  * fixed some packaging mistakes
  * assuming maintainership

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Tue, 04 Apr 2006 17:17:08 +0200

osso-xterm (0.12) unstable; urgency=low

  * Added an IM context to the terminal widget

 -- Tomas Junnonen <tomas.junnonen@nokia.com>  Thu, 02 Mar 2006 19:11:01 +0200

osso-xterm (0.11) unstable; urgency=low

  * Generic Ctrl-<some key> solution 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 26 Oct 2005 18:40:01 +0300

osso-xterm (0.10) unstable; urgency=low

  * Make default GConf values work with AI (patch from Tomas Junnonen)
  * Add ctrl-c menu entry (patch from Jan Arne Petersen)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 24 Oct 2005 08:44:04 +0300

osso-xterm (0.9) unstable; urgency=low

  * Remove invalid g_object_unref
  * Add libsm-dev build-dependency 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 10 Oct 2005 10:57:56 +0300

osso-xterm (0.8.2) unstable; urgency=low

  * Don't show popup menu when pressing scrollbar (patch from Tomas Junnonen)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  3 Oct 2005 13:16:11 +0300

osso-xterm (0.8.1) unstable; urgency=low

  * Fixed copyright notices in a couple of files

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 16 Sep 2005 11:11:10 +0300

osso-xterm (0.8) unstable; urgency=low

  * Grab focus on startup
  * Get rid of TerminalOptions (not really needed in maemo)
  * Add "Reverse colors" functionality 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  2 Jun 2005 10:55:13 +0300

osso-xterm (0.7) unstable; urgency=low

  * Use libosso
  * Use N770 HW buttons 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 30 May 2005 15:20:37 +0300

osso-xterm (0.6) unstable; urgency=low

  * Update dbus-glib-1 version requirement in configure.ac
  * Compile against new hildon 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 25 Feb 2005 16:18:16 +0200

osso-xterm (0.5) unstable; urgency=low

  * Changed font to NewCourier
  * Fixed corrupted icon images 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  3 Jan 2005 16:44:35 +0200

osso-xterm (0.4) unstable; urgency=low

  * Removed svg icon because it causes a segfault in task navigator

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 13 Dec 2004 10:58:15 +0200

osso-xterm (0.3) unstable; urgency=low

  * Fixed gconf schema 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 18 Nov 2004 10:39:51 +0200

osso-xterm (0.2) unstable; urgency=low

  * Updated to new hildon 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 17 Nov 2004 08:35:33 +0200

osso-xterm (0.1) unstable; urgency=low

  * Hildonized

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  5 Nov 2004 21:10:56 +0200
